RT_TBX_SEND_IF(8)

NAME
rt_tbx_send_if - send a message if possible

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_send_if(TBX *tbx, void *msg, int msg_size);

DESCRIPTION
rt_tbx_send_if tries to enqueue a message msg of msg_size bytes to the typed mailbox tbx. It returns immediately, the caller is never blocked.

RETURN VALUES
0 is returned in case of message regularly sent, otherwise msg_size is returned. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid typed mailbox. -EMSGSIZE msg_size is bigger than the size of the entire mailbox.